<?php
/**
 * Body Classes.
 * @package Online Learning LMS
 */

if (!function_exists('online_learning_lms_body_classes')) :

    function online_learning_lms_body_classes($online_learning_lms_classes)
    {
        $online_learning_lms_defaults = online_learning_lms_get_default_theme_options();
        $online_learning_lms_layout = online_learning_lms_get_final_sidebar_layout();

        // Adds a class of hfeed to non-singular pages.
        if (!is_singular()) {
            $online_learning_lms_classes[] = 'hfeed';
        }

        // Sidebar layout logic
        $online_learning_lms_classes[] = $online_learning_lms_layout;

        // Copyright alignment
        $copyright_alignment = get_theme_mod('online_learning_lms_copyright_alignment', 'Default');
        $online_learning_lms_classes[] = 'copyright-' . strtolower($copyright_alignment);

        return $online_learning_lms_classes;
    }

endif;

add_filter('body_class', 'online_learning_lms_body_classes');